## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseasabasesqlmodelFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SybaseasabasesqlmodelFactoryImpl

    public interface SybaseasabasesqlmodelFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SybaseasabasesqlmodelPackage`

Field Summary
`static SybaseasabasesqlmodelFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`EncryptionInfo` `createEncryptionInfo()` Returns a new object of class 'Encryption Info'.
`EventCondition` `createEventCondition()` Returns a new object of class 'Event Condition'.
`Schedule` `createSchedule()` Returns a new object of class 'Schedule'.
`SybaseASABaseColumn` `createSybaseASABaseColumn()` Returns a new object of class 'Sybase ASA Base Column'.
`SybaseASABaseColumnCheckConstraint` `createSybaseASABaseColumnCheckConstraint()` Returns a new object of class 'Sybase ASA Base Column Check Constraint'.
`SybaseASABaseDatabase` `createSybaseASABaseDatabase()` Returns a new object of class 'Sybase ASA Base Database'.
`SybaseASABaseDBSpace` `createSybaseASABaseDBSpace()` Returns a new object of class 'Sybase ASA Base DB Space'.
`SybaseASABaseEvent` `createSybaseASABaseEvent()` Returns a new object of class 'Sybase ASA Base Event'.
`SybaseASABaseForeignKey` `createSybaseASABaseForeignKey()` Returns a new object of class 'Sybase ASA Base Foreign Key'.
`SybaseASABaseFunction` `createSybaseASABaseFunction()` Returns a new object of class 'Sybase ASA Base Function'.
`SybaseASABaseGroup` `createSybaseASABaseGroup()` Returns a new object of class 'Sybase ASA Base Group'.
`SybaseASABaseIndex` `createSybaseASABaseIndex()` Returns a new object of class 'Sybase ASA Base Index'.
`SybaseASABaseParameter` `createSybaseASABaseParameter()` Returns a new object of class 'Sybase ASA Base Parameter'.
`SybaseASABasePredefinedDataType` `createSybaseASABasePredefinedDataType()` Returns a new object of class 'Sybase ASA Base Predefined Data Type'.
`SybaseASABasePrimaryKey` `createSybaseASABasePrimaryKey()` Returns a new object of class 'Sybase ASA Base Primary Key'.
`SybaseASABaseProcedure` `createSybaseASABaseProcedure()` Returns a new object of class 'Sybase ASA Base Procedure'.
`SybaseASABaseProxyTable` `createSybaseASABaseProxyTable()` Returns a new object of class 'Sybase ASA Base Proxy Table'.
`SybaseASABaseRemoteProcedure` `createSybaseASABaseRemoteProcedure()` Returns a new object of class 'Sybase ASA Base Remote Procedure'.
`SybaseASABaseSchema` `createSybaseASABaseSchema()` Returns a new object of class 'Sybase ASA Base Schema'.
`SybaseASABaseTable` `createSybaseASABaseTable()` Returns a new object of class 'Sybase ASA Base Table'.
`SybaseASABaseTempTable` `createSybaseASABaseTempTable()` Returns a new object of class 'Sybase ASA Base Temp Table'.
`SybaseASABaseTrigger` `createSybaseASABaseTrigger()` Returns a new object of class 'Sybase ASA Base Trigger'.
`SybaseASABaseUniqueConstraint` `createSybaseASABaseUniqueConstraint()` Returns a new object of class 'Sybase ASA Base Unique Constraint'.
`SybaseASABaseUser` `createSybaseASABaseUser()` Returns a new object of class 'Sybase ASA Base User'.
`SybaseASABaseUserDefinedType` `createSybaseASABaseUserDefinedType()` Returns a new object of class 'Sybase ASA Base User Defined Type'.
`SybaseASABaseViewTable` `createSybaseASABaseViewTable()` Returns a new object of class 'Sybase ASA Base View Table'.
`SybaseASADefaultWrapper` `createSybaseASADefaultWrapper()` Returns a new object of class 'Sybase ASA Default Wrapper'.
`SybaseASAWebService` `createSybaseASAWebService()` Returns a new object of class 'Sybase ASA Web Service'.
`SybaseasabasesqlmodelPackage` `getSybaseasabasesqlmodelPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SybaseasabasesqlmodelFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSybaseASABaseEvent

    SybaseASABaseEvent createSybaseASABaseEvent()

  Returns a new object of class 'Sybase ASA Base Event'.

  Returns:
    a new object of class 'Sybase ASA Base Event'.

### createSybaseASABaseDatabase

    SybaseASABaseDatabase createSybaseASABaseDatabase()

  Returns a new object of class 'Sybase ASA Base Database'.

  Returns:
    a new object of class 'Sybase ASA Base Database'.

### createEncryptionInfo

    EncryptionInfo createEncryptionInfo()

  Returns a new object of class 'Encryption Info'.

  Returns:
    a new object of class 'Encryption Info'.

### createSybaseASABaseUserDefinedType

    SybaseASABaseUserDefinedType createSybaseASABaseUserDefinedType()

  Returns a new object of class 'Sybase ASA Base User Defined Type'.

  Returns:
    a new object of class 'Sybase ASA Base User Defined Type'.

### createSybaseASABasePredefinedDataType

    SybaseASABasePredefinedDataType createSybaseASABasePredefinedDataType()

  Returns a new object of class 'Sybase ASA Base Predefined Data Type'.

  Returns:
    a new object of class 'Sybase ASA Base Predefined Data Type'.

### createSybaseASABaseTable

    SybaseASABaseTable createSybaseASABaseTable()

  Returns a new object of class 'Sybase ASA Base Table'.

  Returns:
    a new object of class 'Sybase ASA Base Table'.

### createSybaseASABaseColumn

    SybaseASABaseColumn createSybaseASABaseColumn()

  Returns a new object of class 'Sybase ASA Base Column'.

  Returns:
    a new object of class 'Sybase ASA Base Column'.

### createSybaseASABaseUniqueConstraint

    SybaseASABaseUniqueConstraint createSybaseASABaseUniqueConstraint()

  Returns a new object of class 'Sybase ASA Base Unique Constraint'.

  Returns:
    a new object of class 'Sybase ASA Base Unique Constraint'.

### createSybaseASABasePrimaryKey

    SybaseASABasePrimaryKey createSybaseASABasePrimaryKey()

  Returns a new object of class 'Sybase ASA Base Primary Key'.

  Returns:
    a new object of class 'Sybase ASA Base Primary Key'.

### createSybaseASABaseForeignKey

    SybaseASABaseForeignKey createSybaseASABaseForeignKey()

  Returns a new object of class 'Sybase ASA Base Foreign Key'.

  Returns:
    a new object of class 'Sybase ASA Base Foreign Key'.

### createSybaseASABaseIndex

    SybaseASABaseIndex createSybaseASABaseIndex()

  Returns a new object of class 'Sybase ASA Base Index'.

  Returns:
    a new object of class 'Sybase ASA Base Index'.

### createSybaseASABaseDBSpace

    SybaseASABaseDBSpace createSybaseASABaseDBSpace()

  Returns a new object of class 'Sybase ASA Base DB Space'.

  Returns:
    a new object of class 'Sybase ASA Base DB Space'.

### createSybaseASABaseViewTable

    SybaseASABaseViewTable createSybaseASABaseViewTable()

  Returns a new object of class 'Sybase ASA Base View Table'.

  Returns:
    a new object of class 'Sybase ASA Base View Table'.

### createSybaseASABaseFunction

    SybaseASABaseFunction createSybaseASABaseFunction()

  Returns a new object of class 'Sybase ASA Base Function'.

  Returns:
    a new object of class 'Sybase ASA Base Function'.

### createSybaseASABaseProcedure

    SybaseASABaseProcedure createSybaseASABaseProcedure()

  Returns a new object of class 'Sybase ASA Base Procedure'.

  Returns:
    a new object of class 'Sybase ASA Base Procedure'.

### createSybaseASABaseTempTable

    SybaseASABaseTempTable createSybaseASABaseTempTable()

  Returns a new object of class 'Sybase ASA Base Temp Table'.

  Returns:
    a new object of class 'Sybase ASA Base Temp Table'.

### createSybaseASABaseTrigger

    SybaseASABaseTrigger createSybaseASABaseTrigger()

  Returns a new object of class 'Sybase ASA Base Trigger'.

  Returns:
    a new object of class 'Sybase ASA Base Trigger'.

### createSybaseASABaseProxyTable

    SybaseASABaseProxyTable createSybaseASABaseProxyTable()

  Returns a new object of class 'Sybase ASA Base Proxy Table'.

  Returns:
    a new object of class 'Sybase ASA Base Proxy Table'.

### createSybaseASABaseColumnCheckConstraint

    SybaseASABaseColumnCheckConstraint createSybaseASABaseColumnCheckConstraint()

  Returns a new object of class 'Sybase ASA Base Column Check Constraint'.

  Returns:
    a new object of class 'Sybase ASA Base Column Check Constraint'.

### createSybaseASAWebService

    SybaseASAWebService createSybaseASAWebService()

  Returns a new object of class 'Sybase ASA Web Service'.

  Returns:
    a new object of class 'Sybase ASA Web Service'.

### createSchedule

    Schedule createSchedule()

  Returns a new object of class 'Schedule'.

  Returns:
    a new object of class 'Schedule'.

### createSybaseASABaseRemoteProcedure

    SybaseASABaseRemoteProcedure createSybaseASABaseRemoteProcedure()

  Returns a new object of class 'Sybase ASA Base Remote Procedure'.

  Returns:
    a new object of class 'Sybase ASA Base Remote Procedure'.

### createSybaseASABaseParameter

    SybaseASABaseParameter createSybaseASABaseParameter()

  Returns a new object of class 'Sybase ASA Base Parameter'.

  Returns:
    a new object of class 'Sybase ASA Base Parameter'.

### createSybaseASABaseGroup

    SybaseASABaseGroup createSybaseASABaseGroup()

  Returns a new object of class 'Sybase ASA Base Group'.

  Returns:
    a new object of class 'Sybase ASA Base Group'.

### createSybaseASABaseSchema

    SybaseASABaseSchema createSybaseASABaseSchema()

  Returns a new object of class 'Sybase ASA Base Schema'.

  Returns:
    a new object of class 'Sybase ASA Base Schema'.

### createSybaseASABaseUser

    SybaseASABaseUser createSybaseASABaseUser()

  Returns a new object of class 'Sybase ASA Base User'.

  Returns:
    a new object of class 'Sybase ASA Base User'.

### createSybaseASADefaultWrapper

    SybaseASADefaultWrapper createSybaseASADefaultWrapper()

  Returns a new object of class 'Sybase ASA Default Wrapper'.

  Returns:
    a new object of class 'Sybase ASA Default Wrapper'.

### createEventCondition

    EventCondition createEventCondition()

  Returns a new object of class 'Event Condition'.

  Returns:
    a new object of class 'Event Condition'.

### getSybaseasabasesqlmodelPackage

    SybaseasabasesqlmodelPackage getSybaseasabasesqlmodelPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.